[jitsi-users] Hello all. I have an issue with Jitsi-meet on Debian installation


#1

https://github.com/jitsi/jitsi-meet/issues/94

Hello, Ive tried to quick install jitsi-meet on Debian Jessie and here is log of what I get in root terminal.
Will appreciate any help

http://pastebin.com/P2weXMmx

root@server-conf:/home/stormy# apt-get -y install jitsi-meet
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  jitsi-meet-prosody jitsi-videobridge lua-expat lua-filesystem lua-sec
  lua-socket lua5.1 nginx nginx-common nginx-full prosody-modules-otalk
  prosody-trunk
Suggested packages:
  fcgiwrap nginx-doc lua-event liblua5.1-event0 liblua5.1-event-prosody0
  lua-zlib
The following NEW packages will be installed:
  jitsi-meet jitsi-meet-prosody jitsi-videobridge lua-expat lua-filesystem
  lua-sec lua-socket lua5.1 nginx nginx-common nginx-full
  prosody-modules-otalk prosody-trunk
0 upgraded, 13 newly installed, 0 to remove and 18 not upgraded.
Need to get 13.1 MB of archives.
After this operation, 35.4 MB of additional disk space will be used.
Get:1 http://ftp.by.debian.org/debian/ jessie/main lua-expat amd64 1.3.0-1 [12.3 kB]
Get:2 http://download.jitsi.org/nightly/deb/ unstable/ jitsi-videobridge 204-1 [11.5 MB]
Get:3 http://ftp.by.debian.org/debian/ jessie/main lua-filesystem amd64 1.6.2-1 [9,876 B]
Get:4 http://ftp.by.debian.org/debian/ jessie/main lua-socket amd64 3.0~rc1-3 [57.1 kB]
Get:5 http://ftp.by.debian.org/debian/ jessie/main lua-sec amd64 0.5-1 [24.1 kB]
Get:6 http://ftp.by.debian.org/debian/ jessie/main nginx-common all 1.6.1-1 [83.6 kB]
Get:7 http://ftp.by.debian.org/debian/ jessie/main nginx-full amd64 1.6.1-1 [424 kB]
Get:8 http://ftp.by.debian.org/debian/ jessie/main nginx all 1.6.1-1 [70.8 kB]
Get:9 http://ftp.by.debian.org/debian/ jessie/main lua5.1 amd64 5.1.5-5 [94.7 kB]
Get:10 http://download.jitsi.org/nightly/deb/ unstable/ prosody-trunk 1nightly502-1~trusty [210 kB]
Get:11 http://download.jitsi.org/nightly/deb/ unstable/ prosody-modules-otalk 1.0-2 [17.0 kB]
Get:12 http://download.jitsi.org/nightly/deb/ unstable/ jitsi-meet-prosody 1.0.1-50 [8,008 B]
Get:13 http://download.jitsi.org/nightly/deb/ unstable/ jitsi-meet 1.0.1-50 [573 kB]
Fetched 13.1 MB in 36s (356 kB/s)
Preconfiguring packages ...
Selecting previously unselected package lua-expat:amd64.
(Reading database ... 81234 files and directories currently installed.)
Preparing to unpack .../lua-expat_1.3.0-1_amd64.deb ...
Unpacking lua-expat:amd64 (1.3.0-1) ...
Selecting previously unselected package lua-filesystem:amd64.
Preparing to unpack .../lua-filesystem_1.6.2-1_amd64.deb ...
Unpacking lua-filesystem:amd64 (1.6.2-1) ...
Selecting previously unselected package lua-socket:amd64.
Preparing to unpack .../lua-socket_3.0~rc1-3_amd64.deb ...
Unpacking lua-socket:amd64 (3.0~rc1-3) ...
Selecting previously unselected package lua-sec:amd64.
Preparing to unpack .../lua-sec_0.5-1_amd64.deb ...
Unpacking lua-sec:amd64 (0.5-1) ...
Selecting previously unselected package jitsi-videobridge.
Preparing to unpack .../jitsi-videobridge_204-1_amd64.deb ...
Unpacking jitsi-videobridge (204-1) ...
Selecting previously unselected package nginx-common.
Preparing to unpack .../nginx-common_1.6.1-1_all.deb ...
Unpacking nginx-common (1.6.1-1) ...
Selecting previously unselected package nginx-full.
Preparing to unpack .../nginx-full_1.6.1-1_amd64.deb ...
Unpacking nginx-full (1.6.1-1) ...
Selecting previously unselected package nginx.
Preparing to unpack .../archives/nginx_1.6.1-1_all.deb ...
Unpacking nginx (1.6.1-1) ...
Selecting previously unselected package lua5.1.
Preparing to unpack .../lua5.1_5.1.5-5_amd64.deb ...
Unpacking lua5.1 (5.1.5-5) ...
Selecting previously unselected package prosody-trunk.
Preparing to unpack .../prosody-trunk_1nightly502-1~trusty_amd64.deb ...
Unpacking prosody-trunk (1nightly502-1~trusty) ...
Selecting previously unselected package prosody-modules-otalk.
Preparing to unpack .../prosody-modules-otalk_1.0-2_all.deb ...
Unpacking prosody-modules-otalk (1.0-2) ...
Processing triggers for man-db (2.6.7.1-1) ...
Setting up lua5.1 (5.1.5-5) ...
update-alternatives: using /usr/bin/lua5.1 to provide /usr/bin/lua (lua-interpreter) in auto mode
update-alternatives: using /usr/bin/luac5.1 to provide /usr/bin/luac (lua-compiler) in auto mode
Setting up lua-expat:amd64 (1.3.0-1) ...
Setting up lua-socket:amd64 (3.0~rc1-3) ...
Setting up lua-filesystem:amd64 (1.6.2-1) ...
Setting up prosody-trunk (1nightly502-1~trusty) ...
Generating a 2048 bit RSA private key
.........................+++
..............................................+++
writing new private key to '/etc/prosody/certs/localhost.key'

···

-----
Setting up jitsi-videobridge (204-1) ...
Warning: The home dir /usr/share/jitsi-videobridge you specified already exists.
Adding system user `jvb' (UID 115) ...
Adding new group `jvb' (GID 122) ...
Adding new user `jvb' (UID 115) with group `jvb' ...
The home directory `/usr/share/jitsi-videobridge' already exists. Not copying from `/etc/skel'.
adduser: Warning: The home directory `/usr/share/jitsi-videobridge' does not belong to the user you are currently creating.
Processing triggers for libc-bin (2.19-7) ...
Selecting previously unselected package jitsi-meet-prosody.
(Reading database ... 81659 files and directories currently installed.)
Preparing to unpack .../jitsi-meet-prosody_1.0.1-50_all.deb ...
Unpacking jitsi-meet-prosody (1.0.1-50) ...
Selecting previously unselected package jitsi-meet.
Preparing to unpack .../jitsi-meet_1.0.1-50_all.deb ...
Unpacking jitsi-meet (1.0.1-50) ...
Setting up lua-sec:amd64 (0.5-1) ...
Setting up nginx-common (1.6.1-1) ...
Setting up nginx-full (1.6.1-1) ...
Job for nginx.service failed. See 'systemctl status nginx.service' and 'journalctl -xn' for details.
invoke-rc.d: initscript nginx, action "start" failed.
dpkg: error processing package nginx-full (--configure):
subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of nginx:
nginx depends on nginx-full (>= 1.6.1-1) | nginx-light (>= 1.6.1-1) | nginx-extras (>= 1.6.1-1) | nginx-naxsi (>= 1.6.1-1); however:
Package nginx-full is not configured yet.
Package nginx-light is not installed.
Package nginx-extras is not installed.
Package nginx-naxsi is not installed.
nginx depends on nginx-full (<< 1.6.1-1.1~) | nginx-light (<< 1.6.1-1.1~) | nginx-extras (<< 1.6.1-1.1~) | nginx-naxsi (<< 1.6.1-1.1~); however:
Package nginx-full is not configured yet.
Package nginx-light is not installed.
Package nginx-extras is not installed.
Package nginx-naxsi is not installed.

dpkg: error processing package nginx (--configure):
dependency problems - leaving unconfigured
Setting up prosody-modules-otalk (1.0-2) ...
dpkg: dependency problems prevent configuration of jitsi-meet-prosody:
jitsi-meet-prosody depends on nginx; however:
Package nginx is not configured yet.
Package nginx-full which provides nginx is not configured yet.

dpkg: error processing package jitsi-meet-prosody (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of jitsi-meet:
jitsi-meet depends on nginx; however:
Package nginx is not configured yet.
Package nginx-full which provides nginx is not configured yet.
jitsi-meet depends on jitsi-meet-prosody; however:
Package jitsi-meet-prosody is not configured yet.

dpkg: error processing package jitsi-meet (--configure):
dependency problems - leaving unconfigured
Processing triggers for libc-bin (2.19-7) ...
Errors were encountered while processing:
nginx-full
nginx
jitsi-meet-prosody
jitsi-meet
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@server-conf:/home/stormy#


#2

Hi,

well it seems to me there is some problem with installing nginx, can
you install only nginx? Is it working?

Regards
damencho

···

On Wed, Aug 13, 2014 at 10:08 AM, Dzmitry Sukhau <stormdjent@gmail.com> wrote:

https://github.com/jitsi/jitsi-meet/issues/94

Hello, Ive tried to quick install jitsi-meet on Debian Jessie and here is
log of what I get in root terminal.
Will appreciate any help

http://pastebin.com/P2weXMmx

root@server-conf:/home/stormy# apt-get -y install jitsi-meet
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  jitsi-meet-prosody jitsi-videobridge lua-expat lua-filesystem lua-sec
  lua-socket lua5.1 nginx nginx-common nginx-full prosody-modules-otalk
  prosody-trunk
Suggested packages:
  fcgiwrap nginx-doc lua-event liblua5.1-event0 liblua5.1-event-prosody0
  lua-zlib
The following NEW packages will be installed:
  jitsi-meet jitsi-meet-prosody jitsi-videobridge lua-expat lua-filesystem
  lua-sec lua-socket lua5.1 nginx nginx-common nginx-full
  prosody-modules-otalk prosody-trunk
0 upgraded, 13 newly installed, 0 to remove and 18 not upgraded.
Need to get 13.1 MB of archives.
After this operation, 35.4 MB of additional disk space will be used.
Get:1 http://ftp.by.debian.org/debian/ jessie/main lua-expat amd64 1.3.0-1
[12.3 kB]
Get:2 http://download.jitsi.org/nightly/deb/ unstable/ jitsi-videobridge
204-1 [11.5 MB]
Get:3 http://ftp.by.debian.org/debian/ jessie/main lua-filesystem amd64
1.6.2-1 [9,876 B]
Get:4 http://ftp.by.debian.org/debian/ jessie/main lua-socket amd64
3.0~rc1-3 [57.1 kB]
Get:5 http://ftp.by.debian.org/debian/ jessie/main lua-sec amd64 0.5-1 [24.1
kB]
Get:6 http://ftp.by.debian.org/debian/ jessie/main nginx-common all 1.6.1-1
[83.6 kB]
Get:7 http://ftp.by.debian.org/debian/ jessie/main nginx-full amd64 1.6.1-1
[424 kB]
Get:8 http://ftp.by.debian.org/debian/ jessie/main nginx all 1.6.1-1 [70.8
kB]
Get:9 http://ftp.by.debian.org/debian/ jessie/main lua5.1 amd64 5.1.5-5
[94.7 kB]
Get:10 http://download.jitsi.org/nightly/deb/ unstable/ prosody-trunk
1nightly502-1~trusty [210 kB]
Get:11 http://download.jitsi.org/nightly/deb/ unstable/
prosody-modules-otalk 1.0-2 [17.0 kB]
Get:12 http://download.jitsi.org/nightly/deb/ unstable/ jitsi-meet-prosody
1.0.1-50 [8,008 B]
Get:13 http://download.jitsi.org/nightly/deb/ unstable/ jitsi-meet 1.0.1-50
[573 kB]
Fetched 13.1 MB in 36s (356 kB/s)
Preconfiguring packages ...
Selecting previously unselected package lua-expat:amd64.
(Reading database ... 81234 files and directories currently installed.)
Preparing to unpack .../lua-expat_1.3.0-1_amd64.deb ...
Unpacking lua-expat:amd64 (1.3.0-1) ...
Selecting previously unselected package lua-filesystem:amd64.
Preparing to unpack .../lua-filesystem_1.6.2-1_amd64.deb ...
Unpacking lua-filesystem:amd64 (1.6.2-1) ...
Selecting previously unselected package lua-socket:amd64.
Preparing to unpack .../lua-socket_3.0~rc1-3_amd64.deb ...
Unpacking lua-socket:amd64 (3.0~rc1-3) ...
Selecting previously unselected package lua-sec:amd64.
Preparing to unpack .../lua-sec_0.5-1_amd64.deb ...
Unpacking lua-sec:amd64 (0.5-1) ...
Selecting previously unselected package jitsi-videobridge.
Preparing to unpack .../jitsi-videobridge_204-1_amd64.deb ...
Unpacking jitsi-videobridge (204-1) ...
Selecting previously unselected package nginx-common.
Preparing to unpack .../nginx-common_1.6.1-1_all.deb ...
Unpacking nginx-common (1.6.1-1) ...
Selecting previously unselected package nginx-full.
Preparing to unpack .../nginx-full_1.6.1-1_amd64.deb ...
Unpacking nginx-full (1.6.1-1) ...
Selecting previously unselected package nginx.
Preparing to unpack .../archives/nginx_1.6.1-1_all.deb ...
Unpacking nginx (1.6.1-1) ...
Selecting previously unselected package lua5.1.
Preparing to unpack .../lua5.1_5.1.5-5_amd64.deb ...
Unpacking lua5.1 (5.1.5-5) ...
Selecting previously unselected package prosody-trunk.
Preparing to unpack .../prosody-trunk_1nightly502-1~trusty_amd64.deb ...
Unpacking prosody-trunk (1nightly502-1~trusty) ...
Selecting previously unselected package prosody-modules-otalk.
Preparing to unpack .../prosody-modules-otalk_1.0-2_all.deb ...
Unpacking prosody-modules-otalk (1.0-2) ...
Processing triggers for man-db (2.6.7.1-1) ...
Setting up lua5.1 (5.1.5-5) ...
update-alternatives: using /usr/bin/lua5.1 to provide /usr/bin/lua
(lua-interpreter) in auto mode
update-alternatives: using /usr/bin/luac5.1 to provide /usr/bin/luac
(lua-compiler) in auto mode
Setting up lua-expat:amd64 (1.3.0-1) ...
Setting up lua-socket:amd64 (3.0~rc1-3) ...
Setting up lua-filesystem:amd64 (1.6.2-1) ...
Setting up prosody-trunk (1nightly502-1~trusty) ...
Generating a 2048 bit RSA private key
.........................+++
..............................................+++
writing new private key to '/etc/prosody/certs/localhost.key'
-----
Setting up jitsi-videobridge (204-1) ...
Warning: The home dir /usr/share/jitsi-videobridge you specified already
exists.
Adding system user `jvb' (UID 115) ...
Adding new group `jvb' (GID 122) ...
Adding new user `jvb' (UID 115) with group `jvb' ...
The home directory `/usr/share/jitsi-videobridge' already exists. Not
copying from `/etc/skel'.
adduser: Warning: The home directory `/usr/share/jitsi-videobridge' does not
belong to the user you are currently creating.
Processing triggers for libc-bin (2.19-7) ...
Selecting previously unselected package jitsi-meet-prosody.
(Reading database ... 81659 files and directories currently installed.)
Preparing to unpack .../jitsi-meet-prosody_1.0.1-50_all.deb ...
Unpacking jitsi-meet-prosody (1.0.1-50) ...
Selecting previously unselected package jitsi-meet.
Preparing to unpack .../jitsi-meet_1.0.1-50_all.deb ...
Unpacking jitsi-meet (1.0.1-50) ...
Setting up lua-sec:amd64 (0.5-1) ...
Setting up nginx-common (1.6.1-1) ...
Setting up nginx-full (1.6.1-1) ...
Job for nginx.service failed. See 'systemctl status nginx.service' and
'journalctl -xn' for details.
invoke-rc.d: initscript nginx, action "start" failed.
dpkg: error processing package nginx-full (--configure):
subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of nginx:
nginx depends on nginx-full (>= 1.6.1-1) | nginx-light (>= 1.6.1-1) |
nginx-extras (>= 1.6.1-1) | nginx-naxsi (>= 1.6.1-1); however:
Package nginx-full is not configured yet.
Package nginx-light is not installed.
Package nginx-extras is not installed.
Package nginx-naxsi is not installed.
nginx depends on nginx-full (<< 1.6.1-1.1~) | nginx-light (<< 1.6.1-1.1~) |
nginx-extras (<< 1.6.1-1.1~) | nginx-naxsi (<< 1.6.1-1.1~); however:
Package nginx-full is not configured yet.
Package nginx-light is not installed.
Package nginx-extras is not installed.
Package nginx-naxsi is not installed.

dpkg: error processing package nginx (--configure):
dependency problems - leaving unconfigured
Setting up prosody-modules-otalk (1.0-2) ...
dpkg: dependency problems prevent configuration of jitsi-meet-prosody:
jitsi-meet-prosody depends on nginx; however:
Package nginx is not configured yet.
Package nginx-full which provides nginx is not configured yet.

dpkg: error processing package jitsi-meet-prosody (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of jitsi-meet:
jitsi-meet depends on nginx; however:
Package nginx is not configured yet.
Package nginx-full which provides nginx is not configured yet.
jitsi-meet depends on jitsi-meet-prosody; however:
Package jitsi-meet-prosody is not configured yet.

dpkg: error processing package jitsi-meet (--configure):
dependency problems - leaving unconfigured
Processing triggers for libc-bin (2.19-7) ...
Errors were encountered while processing:
nginx-full
nginx
jitsi-meet-prosody
jitsi-meet
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@server-conf:/home/stormy#

_______________________________________________
users mailing list
users@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/users